package app

import "miniapp/global"

type Favorite struct {
	global.GVA_MODEL
	UserId       int    `json:"userId" form:"userId" gorm:"not null;column:user_id;comment:'用户id'"` // 用户id
	WzId         int    `json:"wzId" form:"wzId" gorm:"not null;comment:收藏id"`                      // 收藏id
	Cover        string `json:"cover" form:"cover" gorm:"comment:封面"`
	Titte        string `json:"title" form:"title" comment:"收藏商品名称"`           // 收藏商品名称
	Introduction string `json:"introduction" form:"introduction" comment:"简介"` // 简介

}

// TableName 表名
func (Favorite) TableName() string {
	return "sys_favorite"
}
