package common

import "miniapp/global"

type Todos struct {
	// 任务列表
	global.GVA_MODEL
	Content      string `json:"content" form:"content" gorm:"comment:任务内容;"`
	RemindTime   string `json:"remindTime" form:"remindTime" gorm:"comment:提醒时间;"`
	RemindPeriod int    `json:"remindPeriod" form:"remindPeriod" gorm:"comment:0术前，1术后;"`
	Frequency    string `json:"frequency" form:"frequency" gorm:"comment:用药频率;"`
	RemindDay    string `json:"remindDay" form:"remindDay" gorm:"comment:提醒日期;"`
}

func (t Todos) TableName() string {
	return "sys_todos"
}
